<?php include '../../../common/view/header.html.php';?>
<div id='mainContent' class='main-row'>
  <div class='side-col col-lg'>
    <?php include '../../view/blockreportlist.html.php';?>
  </div>
  <div class='main-col'>
    <div class='cell'>
      <div class='with-padding'>
        <div class="table-row" id='conditions'>
          <div class='input-group w-200px'>
            <?php echo html::select('product', $products, $productID, 'onchange="selectProduct(this.value);" class="form-control chosen"')?>
          </div>
        </div>
      </div>
    </div>
    <?php if(empty($bugs)):?>
    <div class="cell">
      <div class="table-empty-tip">
        <p><span class="text-muted"><?php echo $lang->error->noData;?></span></p>
      </div>
    </div>
    <?php else:?>
    <div class='cell'>
      <div class='panel'>
        <div class="panel-heading">
          <div class="panel-title"><?php echo $title;?></div>
          <nav class="panel-actions btn-toolbar"></nav>
        </div>
        <div data-ride='table'>
          <table class='table table-condensed table-striped table-bordered table-fixed' id="buildList">
            <thead>
              <tr class='colhead'>
                <th width="100" rowspan="2"><?php echo $lang->report->project;?></th>
                <th width="150" rowspan="2"><?php echo $lang->report->buildTitle;?></th>
                <th width="100" colspan="4"><?php echo $lang->report->severity;?></th>
                <th colspan="9"><?php echo $lang->report->bugType;?></th>
                <th width="150" colspan="3"><?php echo $lang->report->bugStatus;?></th>
              </tr>
              <tr class="text-center colhead">
                <td><?php echo $lang->bug->severityList[1];?></td>
                <td><?php echo $lang->bug->severityList[2];?></td>
                <td><?php echo $lang->bug->severityList[3];?></td>
                <td><?php echo $lang->bug->severityList[4];?></td>
                <td><?php echo $lang->report->bugTypeList['codeerror'];?></td>
                <td><?php echo $lang->report->bugTypeList['interface'];?></td>
                <td><?php echo $lang->report->bugTypeList['config'];?></td>
                <td><?php echo $lang->report->bugTypeList['install'];?></td>
                <td><?php echo $lang->report->bugTypeList['security'];?></td>
                <td><?php echo $lang->report->bugTypeList['performance'];?></td>
                <td><?php echo $lang->report->bugTypeList['standard'];?></td>
                <td><?php echo $lang->report->bugTypeList['automation'];?></td>
                <td><?php echo $lang->report->bugTypeList['others'];?></td>
                <td><?php echo $lang->bug->statusList['active'];?></td>
                <td><?php echo $lang->bug->statusList['resolved'];?></td>
                <td><?php echo $lang->bug->statusList['closed'];?></td>
              </tr>
            </thead>
            <?php if($bugs):?>
            <tbody>
              <?php $allTotal[1] = $allTotal[2] = $allTotal[3] = $allTotal[4] = $allTotal[5] = $allTotal[6] = $allTotal[7] = $allTotal[8] = 0;?>
              <?php $allTotal[9] = $allTotal[10] = $allTotal[11] = $allTotal[12] = $allTotal[13] = $allTotal[14] = $allTotal[15] = $allTotal[16] = 0;?>
              <?php foreach($bugs as $key =>$projectBuilds):?>
              <tr class="text-center">
                <?php $count = count($projectBuilds);?>
                <td align="left" rowspan="<?php echo $count;?>" title="<?php echo $projects[$key];?>"><?php echo $projects[$key];?></td>
                <?php foreach($projectBuilds as $buildId => $build):?>
                <td align="left" title="<?php echo $builds[$buildId];?>"><?php echo $builds[$buildId];?></td>
                <td><?php $count = isset($build['severity'][1])         ? $build['severity'][1]         : 0; $allTotal[1]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['severity'][2])         ? $build['severity'][2]         : 0; $allTotal[2]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['severity'][3])         ? $build['severity'][3]         : 0; $allTotal[3]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['severity'][4])         ? $build['severity'][4]         : 0; $allTotal[4]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['codeerror'])   ? $build['type']['codeerror']   : 0; $allTotal[5]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['interface'])   ? $build['type']['interface']   : 0; $allTotal[6]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['config'])      ? $build['type']['config']      : 0; $allTotal[7]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['install'])     ? $build['type']['install']     : 0; $allTotal[8]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['security'])    ? $build['type']['security']    : 0; $allTotal[9]  += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['performance']) ? $build['type']['performance'] : 0; $allTotal[10] += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['standard'])    ? $build['type']['standard']    : 0; $allTotal[11] += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['automation'])  ? $build['type']['automation']  : 0; $allTotal[12] += $count; echo $count;?></td>
                <td><?php $count = isset($build['type']['others'])      ? $build['type']['others']      : 0; $allTotal[13] += $count; echo $count;?></td>
                <td><?php $count = isset($build['status']['active'])    ? $build['status']['active']    : 0; $allTotal[14] += $count; echo $count;?></td>
                <td><?php $count = isset($build['status']['resolved'])  ? $build['status']['resolved']  : 0; $allTotal[15] += $count; echo $count;?></td>
                <td><?php $count = isset($build['status']['closed'])    ? $build['status']['closed']    : 0; $allTotal[16] += $count; echo $count;?></td>
              </tr>
              <?php 
              if($count != 1) echo '<tr class="text-center">';
              $count --;
              ?>
              <?php endforeach;?>
              <?php endforeach;?>
              <tr class="text-center">
                <td colspan='2' class='text-right'><?php echo $lang->report->total;?></td>
                <td><?php echo $allTotal[1]; ?></td>
                <td><?php echo $allTotal[2]; ?></td>
                <td><?php echo $allTotal[3]; ?></td>
                <td><?php echo $allTotal[4]; ?></td>
                <td><?php echo $allTotal[5]; ?></td>
                <td><?php echo $allTotal[6]; ?></td>
                <td><?php echo $allTotal[7]; ?></td>
                <td><?php echo $allTotal[8]; ?></td>
                <td><?php echo $allTotal[9]; ?></td>
                <td><?php echo $allTotal[10];?></td>
                <td><?php echo $allTotal[11];?></td>
                <td><?php echo $allTotal[12];?></td>
                <td><?php echo $allTotal[13];?></td>
                <td><?php echo $allTotal[14];?></td>
                <td><?php echo $allTotal[15];?></td>
                <td><?php echo $allTotal[16];?></td>
              </tr>
            </tbody>
            <?php endif;?>
          </table> 
        </div>
      </div>
    </div>
    <?php endif;?>
  </div>
</div>
<script>
function selectProduct(productID)
{
    link = createLink('report', 'build', 'productID=' + productID);
    location.href=link;
}
</script>
<?php include '../../../common/view/footer.html.php';?>
